/*
 aboutDialog.h
 Copyright (C) 1998-1999 R. Michael Sharkey (msharkey@canada.com)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _ABOUT_DIALOG_H_
#define _ABOUT_DIALOG_H_ 1

#include <qobject.h>
#include <qwidget.h>
#include <qmessagebox.h>
#include <qpainter.h>

class aboutDialog : public QMessageBox
{
    Q_OBJECT;
public:
    aboutDialog ( QWidget * parent=0, const char * name=0 );
    aboutDialog ( const char * caption, const char * text, Icon icon, int button0, int button1, int button2, QWidget * parent=0, const char * name=0, bool modal=TRUE, WFlags f=0 );
    ~aboutDialog ();
protected:
    virtual void paintEvent( QPaintEvent * );
};


#endif
