/*
 aboutDialog.cpp
 Copyright (C) 1998-1999 R. Michael Sharkey (msharkey@canada.com)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "aboutDialog.h"

#define inherited QMessageBox

aboutDialog::aboutDialog( QWidget * parent, const char * name ) :
    inherited( parent, name )
{
}

aboutDialog::aboutDialog( const char * caption, const char * text, Icon icon, int button0, int button1, int button2, QWidget * parent, const char * name, bool modal, WFlags f ) :
    inherited( caption, text, icon, button0, button1, button2, parent, name, modal, f )
{
}

aboutDialog::~aboutDialog()
{
}

void aboutDialog::paintEvent( QPaintEvent *e )
{
    inherited::paintEvent( e );
    QPainter paint(this);
    paint.drawRect( rect() );
}
